# Freebase API . text

## Instance Methods

Returns blob attached to node at specified id as HTML

### Method Details

`get(id, format=None, maxlength=None)`

    Returns blob attached to node at specified id as HTML

    Args:
      id: string, The id of the item that you want data about (required) (repeated)
      format: string, Sanitizing transformation.
        Allowed values
          html - Return valid, sanitized html.
          plain - Return plain text - strip html tags.
          raw - Return the entire content as-is.
      maxlength: integer, The max number of characters to return. Valid only for 'plain' format.

    Returns:
      An object of the form:

        {
        "result": "A String", # The text requested.
      }